

export const FormConfig = [
  [
    {
      label: '行政区',
      prop: 'region',
      span: 4,
    },
    {
      label: '监测时间',
      prop: 'monTime',
      span: 6,
    },
    {
      label: '图斑编号',
      prop: 'dkbh',
      span: 4,
      component: 'ElInput',
      componentProps: {
        placeholder: '图斑编号'
      }
    },
    {
      label: '图斑面积',
      prop: 'tbmj',
      span: 5,

    },
    {
      prop: 'action',
      span: 4
    },
    {
      prop: 'tolist',
      span: 1
    }
  ]
]
export const sdlist = {
  normal: [
    { name: "核查图斑", pro: "all", ctype: "blue" },
    { name: "未分发图斑", pro: "SJXF", ctype: "blue" },
    {
      name: "已分发图斑",
      pro: "WYFF",
      // children: [{ name: "未分发图斑", pro: "155" }],
    },
    { name: "举证中图斑", pro: "WYDC" },
    { name: "已举证图斑", pro: "WYTJ" },
    { name: "外业退回图斑", pro: "WYQR", ctype: "red" },
    { name: "省市县级审核退回图斑", pro: "XJTJ", ctype: "red" },
  ],
  XJ: [
    { name: "待审核", pro: "XJDSH" },
    { name: "已审核", pro: "XJYSH" },
    { name: "已提交", pro: "XJYTJ" },
    { name: "市级退回图斑", pro: "SJTH", ctype: "red" },
    { name: "省级退回图斑", pro: "SJJTH", ctype: "red" },
  ],
  SJ: [
    { name: "待审核", pro: "SJDSH" },
    { name: "已审核", pro: "SJYSH" },
    { name: "已提交", pro: "SJYTJ" },
    { name: "省级退回图斑", pro: "SJJTH", ctype: "red" },
  ],
  SJJ: [
    { name: "待审核", pro: "SJJDSH" },
    { name: "已审核", pro: "SJJYSH" },
  ],
}
export const countparm = {
  normal: {
    all: null,
    SJXF: [
      { auditflowStep: "SJXF" },
      { auditflowStep: "WYQR", successType: "1" },
      { auditflowStep: "XJTJ", successType: "1" },
      { auditflowStep: "SJTJ", successType: "1" },
      { auditflowStep: "SJJTJ", successType: "1" }
    ],
    WYFF: [{ auditflowStep: "WYFF" }],
    WYDC: [{ auditflowStep: "WYDC" }],
    WYTJ: [{ auditflowStep: "WYTJ" }],
    WYQR: [{ auditflowStep: "WYQR", successType: "1" }],
    XJTJ: [
      { auditflowStep: "XJTJ", successType: "1" },
      { auditflowStep: "SJTJ", successType: "1" },
      { auditflowStep: "SJJTJ", successType: "1" }
    ],
  },
  XJ: {
    XJDSH: [
      { auditflowStep: "XJHGX" },
      { auditflowStep: "XJSH" },
      { auditflowStep: "WYTJ", successType: "0" },
    ],
    XJYSH: [{ auditflowStep: "XJSH" }],
    XJYTJ: [{ auditflowStep: "XJTJ" }],
    SJTH: [{ auditflowStep: "SJTJ", successType: "1" }],
    SJJTH: [{ auditflowStep: "SJJTJ", successType: "1" }],
  },
  SJ: {
    SJDSH: [
      { auditflowStep: "SJSH" },
      { auditflowStep: "XJTJ", successType: "0" },
    ],
    SJYSH: [{ auditflowStep: "SJSH" }],
    SJYTJ: [{ auditflowStep: "SJTJ" }],
    SJJTH: [{ auditflowStep: "SJJTJ", successType: "1" }],
  },
  SJJ: {
    SJJDSH: [
      { auditflowStep: "SJJSH" },
      { auditflowStep: "SJTJ", successType: "0" },
    ],
    SJJYSH: [{ auditflowStep: "SJJTJ" }],
  },
};
export const TableHeader = [
  { label: "地块编号", align: "center", prop: "dkbh" },
  { label: "行政区名称", align: "center", prop: "xzqmc" },
  { label: "监测面积(亩)", align: "center", prop: "dkmj" },
  { label: "前类型", align: "center", prop: "qlx" },
  { label: "后类型", align: "center", prop: "hlx" },
  { label: "前时相", align: "center", prop: "qsx" },
  { label: "后时相", align: "center", prop: "hsx" },
  { label: "操作", slot: "action", width: 140, align: 'center' },
]

